Start Here

Cacheman is a performance enhancement and memory recovery utility. By optimizing the Disk Cache and additional system settings it can prevent frequent swapping of the data to hard drive resulting in improved performance, system reaction time and even stability. Besides this, Cacheman corrects generic problems on systems with more than 512MB of RAM. Wizards help novice users to learn more about the tweaks and their results.

What can I do with Cacheman?

Optimize

Disk Cache
Name & Path Cache
CdRom Cache
Icon Cache

Periodically recover memory

Tweak several system settings to improve performance

Watch & monitor several important system values

Overview page
History Graph
Logging
Tray Icon

Create System configuration reports

Will Cacheman improve every system?

No. Cacheman is not a magic utility. Many Cacheman users have achieved great performance and/or system reaction time improvement, some even reported their system behaves after using Cacheman like after an expensive hardware upgrade. Of course, we have received a few reports where Cacheman was not able to help. We urge you to try it yourself and decide.

You can see in the User comments how Cacheman has improved performance of many systems.

Is it dangerous to use Cacheman?

Cacheman works on a huge numbers of computers without any problems. We have received a few user reports who have had problems while using Cacheman with exotic device drivers. (e.g. noname network adapters). Use Cacheman at your own risk as stated in the license agreement of the installation program!

Cacheman saves your original system settings on first startup, you can restore them anytime! If you encounter any problems - read this section how to do it.

What does Cacheman cost?

That depends on yourself - please read this section for exact information.

How to begin?

Please read the First Steps section.


 Disclaimer Agreement

Users of Cacheman must accept this disclaimer of warranty:

NOTICE TO USERS: CAREFULLY READ THE FOLLOWING LEGAL AGREEMENT. USE OF THE CACHEMAN SOFTWARE PROVIDED WITH THIS AGREEMENT (THE "SOFTWARE") CONSTITUTES YOUR ACCEPTANCE OF THESE TERMS. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL AND/OR USE THIS SOFTWARE. USER'S USE OF THIS SOFTWARE IS CONDITIONED UPON COMPLIANCE BY USER WITH THE TERMS OF THIS AGREEMENT.

1. LICENSE GRANT.

Outer Technologies grants you a license to use Cacheman (the "SOFTWARE") on any computer as long as the terms of this license agreement are respected. "You" means the company, entity, or individual installing or using the SOFTWARE. "Use" means storing, loading, installing, executing, or displaying the SOFTWARE.

Cacheman is Shareware, NOT Public Domain software, you are not allowed to use any parts of Cacheman in other software products.

a, Private/Educational usage

In order to keep using Cacheman you have to register. The registration fee for Cacheman is $10. Since most users cannot afford $10, Cacheman has no disabled features and no time limit. If you really cannot afford the shareware fee you are allowed to use Cacheman as Freeware. All updates for registered users will be free even if we should be forced to change the license to Shareware only with the next major release.

b, Commercial/Corporate usage

If you want to keep using Cacheman you have to pay a $10 (Single User license) Shareware fee. Multi User and Corporate/Site licenses are available on the registration page.

2. COPYRIGHT. The SOFTWARE is protected by United States copyright law and international treaty provisions. You acknowledge that no title to the intellectual property in the SOFTWARE is transferred to you. You further acknowledge that title and full ownership rights to the SOFTWARE will remain the exclusive property of Outer Technologies and you will not acquire any rights to the SOFTWARE except as expressly set forth in this license. You agree that any copies of the SOFTWARE will contain the same proprietary notices which appear on and in the SOFTWARE.

3. UNAUTHORIZED USE. You may not use, rent, sell, modify, decompile, disassemble, otherwise reverse engineer or transfer the SOFTWARE except as provided in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license.

4. LIMITED WARRANTY. THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS. OUTER TECHNOLOGIES DISCLAIMS ALL WARRANTIES RELATING TO THIS SOFTWARE, WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. NEITHER OUTER TECHNOLOGIES NOR ANYONE ELSE WHO HAS BEEN INVOLVED IN THE CREATION, PRODUCTION, OR DELIVERY OF THIS SOFTWARE SHALL BE LIABLE FOR ANY INDIRECT, CONSEQUENTIAL, OR INCIDENTAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE SUCH SOFTWARE, EVEN IF OUTER TECHNOLOGIES HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES OR CLAIMS. THE PERSON USING THE SOFTWARE BEARS ALL RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE.

SOME JURISDICTIONS DO NOT ALLOW LIMITATION OR EXCLUSION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATIONS OR EXCLUSION MAY NOT APPLY TO YOU TO THE EXTENT THAT LIABILITY IS BY LAW INCAPABLE OF EXCLUSION OR RESTRICTION.

5. SEVER ABILITY. In the event of invalidity of any provision of this license, the parties agree that such invalidity shall not affect the validity of the remaining portions of this license.

6. NO LIABILITY FOR CONSEQUENTIAL DAMAGES. IN NO EVENT SHALL OUTER TECHNOLOGIES OR ITS SUPPLIERS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, SPECIAL, INCIDENTAL, OR INDIRECT DAMAGES OF ANY KIND ARISING OUT OF THE DELIVERY, PERFORMANCE, OR USE OF THE SOFTWARE, EVEN IF OUTER TECHNOLOGIES HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL OUTER TECHNOLOGIES'S LIABILITY FOR ANY CLAIM, WHETHER IN CONTRACT, TORT, OR ANY OTHER THEORY OF LIABILITY, EXCEED THE LICENSE FEE PAID BY YOU, IF ANY.

7. GOVERNING LAW. This agreement shall be governed by the laws of Germany, excluding the application of its conflicts of law rules, and shall inure to the benefit of Outer Technologies and any successors, administrators, heirs, and assigns. Any action or proceeding brought by either party against the other arising out of or related to this agreement shall be brought only in a COURT of competent jurisdiction located in Germany. The parties hereby consent to in personal jurisdiction of said courts. The United Nations Convention on Contracts for the International Sale of Goods is specifically disclaimed.

8. ENTIRE AGREEMENT. This is the entire agreement between you and Outer Technologies, which supersedes any prior agreement or understanding, whether written or oral, relating to the subject matter of this license.

9. RESERVED RIGHTS. All rights not expressly granted here are reserved to Outer Technologies.

VIOLATION OR NON-ACCEPTANCE OF ANY OF THE ABOVE LICENCE CONDITIONS IMMEDIATELY AND UNCONDITIONALLY TERMINATES YOUR LICENCE.

Cacheman is Copyright ã 1997-2001 by Outer Technologies.


How to Register

 How to register?

Cacheman 1.0-4.1 has been released as Freeware. During the last 6 months the program has been completely rewritten. We are forced to try to get the development costs back. The simplest way for us to achieve this would be to disable certain key features or to convert the distribution to a time limited version. We are opposed to taking the easy way out since we would not like our user base to be reduced drastically. Alternatively, we could bundle Cacheman with a third party software and receive distribution fees. Many Freeware programs are going this path nowadays. We decided not to distribute Cacheman in this way since all software bundles we have examined have a major drawback - the additional third party software spies out user data! (Visit http://www.spychecker.com/ for more information). After a long discussion we have come up with a unique way to license Cacheman:

Support is available only to registered users of the software.

1. Private/Educational usage

The registration fee for Cacheman is $10. Since most users cannot afford $10, Cacheman has no disabled features and no time limit. If you really cannot afford the shareware fee you are allowed to use Cacheman as Freeware. All updates for registered users will be free even if we should be forced to change the license to Shareware only with the next major release.

2. Commercial/Corporate usage

If you want to keep using Cacheman you have to pay a $10 (Single User license) Shareware fee. Multi User and Corporate/Site licenses are available on the registration page.

You can register by clicking on one of these links:

primary: RegNet

http://www.reg.net/authors.asp?AuthorID=3223

US Orders 1 800 WWW 2 REG (1 800 999-2734) International Orders +1 719 576-0123 Fax Orders +1 509 691-7614

on registration problems please contact followup@reg.net (not for program support).

alternative: RegNow

http://www.regnow.com/softsell/nph-softsell.cgi?item=5675-1

on registration problems please contact orders@regnow.com (not for program support).

You will receive a customer ID code immediately after registration. You can enter it in the help menu - it will be shown in Cacheman's support section and automatically added to a support email when using the Send support request function. Registered users will be informed of updates including Beta releases.

Multi-User discounts are available!

Quantity | Unit Price ($US) | Discount
1 | 10.00 | n/a
2 | 9.00 | 10%
5 | 8.00 | 20%
10 | 7.00 | 30%
20 | 6.00 | 40%
50 | 5.00 | 50%

Site/Corporate licenses are available for $400.


 How to get support?

Program usage and performance related support is only available for registered users. Please write to cacheman-support@outertech.com , you should receive an answer within 24 hours. Be sure to include your customer ID and system information (you can create a report in Cacheman's File menu).

Non-support requests like bug reports & comments should be sent to development@outertech.com.

Cacheman's home - visit Outer Technologies.

http://www.outertech.com


 History

5.0
  • Complete program rewrite
  • Memory Recovery
  • Profiles (revert back to old configuration)
  • Win NT4/2000/XP support added
  • Wizards (Guide through all settings)
  • CdRom Cache & Icon Cache optimization
  • Improved Name & Path Cache configuration
  • Logging
  • System configuration report creation
  • Several new options
  • New performance settings like IO Page Lock Limit, Disable Executive Paging or IO Page Buffers
  • New tweak settings like Wait to Kill App Timeout or Filename completion
  • Improved Help File
4.1
  • Larger Read Ahead and Name Cache settings allowed
  • Unload Dlls setting
  • Stop history graphs when hidden option
  • Some minor bugs fixed
4.0
  • Completely redesigned gui
  • Customizable monitoring functions and history graphs for mem, disk cache, swap file and GDI resources
  • Tray Icon monitoring
  • Read ahead optimization
  • Conservative swap file usage setting
  • Improved optimization values including new sound recording preset
  • Better optimization remove function
  • Automatic reboot
  • Greatly improved help file
  • WinME support
3.80
  • Disk cache settings can be saved to/loaded from a config file
  • Improved cache values


 Our other products

Linkman is a URL manager and webpage monitor. Discover a new browsing experience with its fully configurable Drop Basket and Tray Icon, detect if content of your favorite web pages has changed, become unavailable or has moved to a new location, create Export Templates to output your Link Collection in a variety of formats. Delete duplicates, password protect your database and search using multiple criteria with the Link Collector. Linkman supports all major Windows browsers.

StartEd is a tool which helps you to manage those pesky programs which load from the Registry, Startup folders and Win.ini at Windows Startup. If you need total and direct control over the programs loaded during the booting processes, then StartEd is the answer. It lets you modify and backup the Startup configuration, detects more than 50 Trojan Horses and comes also handy for every system administrator by managing user startup shortcuts.

Visit Outer Technologies.

http://www.outertech.com


User comments

 Some User comments

I recently purchased Lionhead's great game Black and White and installed it on my new Dell Dimension 4100. I thought I'd have a smooth experience, but my DVD-ROM and hard drive continually ran and turned fluid gameplay into a slideshow. With all the attempts on my part and even Lionhead tech support, I was only able to reduce the problem, but didn't eliminate it. After downloading and installing Cacheman 4.1, I was able to completely eliminate the problem and every piece of software I have benefits from Cacheman. I highly recommend this product to people as a powerful alternative to memory upgrades.

Matthew Peak

Hi there,

This is not a support request but I'd just like to give you some feedback on Cacheman 4.1.

I read about it on download.com in their essential pc utilities so I downloaded it to give it a try. Even though I have 256mb of RAM, Windows 98 (se) seems to manage it atrociously. I frequently have to reboot due to memory shortages, normally IE5 breaks the system. Also, I thought unconnected, IE5 & Outlook 5 take an age to start up. When I click on them, it opens the window but the actual tool bar does not load for a few seconds and the harddrive thrashes around trying to load them up. I always thought this was a registry error, so I have tried various reg hacks to sort it.

Up steps Cacheman. I couldn't believe it when IE5 & Outlook snapped open as quick as you like, as they should do on a 800mhz system. It had never occured to me that the memory could be the problem.

Thanks for the product,

Pete Gibbins
Applications Development
Thomas Cook G&FS

I suffered about a network slowdown issue for weeks until I was referred to Cacheman. Problem solved. Thanks! I just can't understand why WinME had this problem in the first place.

Here's some history:

This has been driving me nuts:

When I copy and paste files from other computers on my network to the MSI K7T Turbo-Raid, it starts out like gangbusters then drags to a crawl and the mouse will become slow as if it's stuck in mud. Once I cancel the file transfer, the mouse moves freely again. This only occurs ONE WAY, when I working from the K7T-R. If I send files to the same machine from other machines, transfer is smooth and so is the mouse.

...

Any ideas would be highly appreciated. I've hammered this out for days and I'm ready to play for a change! Thanks

~~~~~~~~~~~~~~~~~~~~~~~~

I had this same problem with WinMe and 256 MB ram, download the program "Cacheman" and change the default windows cache settings, when i tried this the problem went away. Just try the power user template :-)

Cacheman is freeware, download here :
http://www.tweakfiles.com/memory/cacheman.html

Ciao,
remco

~~~~~~~~~~~~~~~~~~~~~~~

You nailed it! I just want to extend my deepest appreciation as I have been hammering this one out for weeks, and I'm not one to ask for help until I've absolutely reached the end of my rope (and I was about to hang myself with it).

I never considered it could be a disk cache issue but I gave Cacheman a shot as a last ditch effort before formatting and going back to 98se. Bingo. My mouse is as free as a bird and file transfers across the network are smooth.

Eddie Puryear

Thanks for Cacheman!!

I was having major problems burning CD's, playing 3D games and was also troubled with slow HD access times when cutting & copying within CoolEdit but thanks to your piece of wizardry, all my problems have been resolved. No more failed burns, no more unexpected crashes in Tomb Raider 4 and best of all, my 700MHz Athlon now acts like it should, fast and transparent to use.

Best regards.

Mick Heyes

Hey, this program is absolutely fantastic. Yesterday I downloaded the version 4.0 of cacheman. I choosed the first option for novice and intermediate users and I gained 40 Mb Ram. I have a Celeron400, 96 Ram,Voodoo 3 2000..... . Without this utility only 15 Mb Ram were left. In other words this is a super-great-excellent-fantastic program. I have seen a good improvement in speed in games like Red Alert 2, Panzer 3D Assault which require more memory. I tried before other utilities but in vain. At the end I found cacheman. I said in my mind that this will be my last chance and I was victorious. I was super happy.

Cristian Sergiu

Hello Outertech and thank you very very much!!!

I recently upgraded to 768MB ram and experienced dying computer syndrome.

I remembered an article in PCA about Cacheman, so I downloaded it, chose Multimedia for ME, and restarted my computer.

Thank you again, I now have a very fast computer with lots of ram, especially lots of free ram!!!

Thank you and keep up the good work.

Scott Keatinge

Dear Thomas,

Thanx for Cacheman 3.80; my problems seem to be over!

I've been having problems running Photoshop 5.5 on a P-III 750MHz system with 384MB Ram... After scanning and editing only a couple of 35MB-files, Photoshop was always getting slower and slower as available Ram decreased to 0. I had to close the program and start it up every 15-20 minutes, and I was considering buying a Mac G4. But now I can keep my money in my pocket!

Cacheman 3.80 works wonderfully; I'm using settings for "multimedia use" and available Ram has not been less than 200MB since... Overall performance and speed in Photoshop remain constant, even after hours and hours of work.

In one word, it's great! So keep up the good work!

Best regards,

Jeroen Bouman

Installing your cacheman program is almost like buying a new computer. I use to have problems with my John Madden2001 sometimes pausing during gameplay, but after installing your program the game now runs as smooth as silk.

Thanx a million

Stan Rogers

This PC is a bit of an old warhorse - 32MB RAM, P150, bits of it our almost 10 years old so it's often a struggle to run hardcore modern software.

I am a drum & bass producer so as you can imagine I run an awful lot of audio-editing software that this machine can't really cope with. I had a lot of problems with songs skipping, effects not responding quickly enough etc. Basically it was practically impossible to even listen to an mp3 without it skipping every time I ran another program. I changed a multitude of options, tweaked the registry, ran RAM-boosting software and a whole load of other stuff all of which only made a slight difference. After I set Cacheman to Win98 Power User my problems all but disappeared!

You are a genius!

A postcard from Norwich UK is on it's way to you (hope you like it!)

Andy

Thank you for releasing such a great product for free! I have been installing it religiously on the computers I build for work and what can I say? It's GREAT! Not a single customer complaint of out of memory errors! I also don't run out of resources anymore on my own workhorse machine a PIII450 with 128MB.

Thank you.

Andrew

Hi!

I just thought you might want to know that CODEMASTERS (www.codemasters.com a game making company) recommends its customers to use your program Cacheman when they (the customers) have any memory-linked problems with they're very newly released racing game Colin McRae Rally 2.0 .... They seem to like it ALOT!

You might already know this, but if you didn't .... then ... now you know =)

Cheers! / Jonas (from Sweden)

This is really a great little piece of software!!! Today , all my problems seem so far away, yesterday it seem that they were here to stay. Oh I believe in "Cachemanday" (sic The Beatles). Thank you very much!

Dirk Van de Veire
Belgium

First, let me say that your program, Cacheman, is the finest piece of freeware for the Windows system in the entire free world. I cannot say enough about how it has made my system run better. Across the board, system, user, and GDI, have all been increased dramatically. I run many servers through my DSL line, web, ftp, mail, and even a ShoutCast internet radio station, and it used to be that I was lucky to have 78% of my resources free after all those servers had fired up and users were on them. Now, I have...drum roll please... a whopping 90% across the board of resources available. So now when I fire up NetObjects Fusion (my web design program) or Bright (my image editing program) they fire up and respond with a bit more alacrity than before I installed Cacheman. Thanks for making that very fine utility available as freeware, I'm sure that you have gained a lot of good karma through offering such a fine piece of software for free.

John Erickson

Just wanted to thank you for Cacheman. I thought you might be interested in the following.

PaintShopPro has a disk based undo system with quite a few configuration settings. The one I like to use saves each individual paint operation so I can undo one step at a time. The only problem with this WAS that it was slow, I mean sloooooow, so slow that the system would pause for 2 or 3 seconds until it caught up. It would also leave fragments of the mouse pointer on screen until the window was refreshed. In short, I spent quite a bit of time looking at a messy screen and the hourglass pointer. Since setting the vcache with Cacheman v3.51 (4096, 4096, 512, 4096, 96) the problem has COMPLETELY vanished. I get only an occasional flash of the hourglass pointer now, no pointer fragments and no delays. This is a truly amazing performance boost, almost like a processor upgrade. Also, the overall performance of my system in general is much smoother and more responsive.

Mike Christian

Dear Thomas Reimann,

You've just been nominated to received the "Best Guy Award" for 1998. By chance, I purchased a computer magazine that had system optimization software include--namely one of yours. Thanks a whole bunch. Your program which I perhaps have save me hundreds of dollars from having to go to technicians and buying CD's that were lost during a session gone bad. One thing for sure, I no longer received those undesirable "low buffer runs" from my CD program. The first time I installed Cacheman 3.51, my HP8100 CD Writer worked flawless. In addition, when installing software to my system, my CD ROM would just creep as if it was an old guy. I found that pretty strange and all, because I have a 24X CD ROM and from the most part, on average, it runs fast enough to get a ticket for speeding. Out of the 3 biggest problems I had, your program fix 2. Again, your program is wonder.

...

Again, I would like to say thank you for making this program--its wonderful.Feel free to use part of this message in any type of advertising to let customer know that its not just some other program looking for attention. And by the way, I will share the good news with other friends and well. If you would like for me to add any comments that you have to my Webster that I'm about to make, feel free to send the comment and as soon as it is posted, I send you the web site address. Thanks Thomas.

Alvin Benjamin, United States Army

Read a CD newsgroup that your CacheMan product was a big help in solving under-run errors in burning... They were right. On my PIII/Win98 system with 256MB, loading your program and setting it for 32MB min and Max did the trick.

Shelle's Internet Design & Consulting

Michelle "Shelle" Feigen

I have just installed cacheman on my system.

For months I have been trying to solve the problem of my 128mb ram being eaten up by a huge cache file. I have read magazine after magazine and installed diagnostics tools of all shapes and sizes to no avail. I have probably wasted more than 50 hours trying to get to the root of this problem. I am really impressed that you have explained what the system does in terms of adjusting the system.ini file. If Microsoft had the same sense of trying to help people understand how their system works instead of blinding us with jargon life would be so much easier. With Cacheman however it's even easier and there's no guesswork involved.
Well Done!

Thank you for solving my biggest computer headache for years.

David Anthony Elmes

Hello Thomas

A few hours ago I installed cacheman on my Windows '95 with update W'98 and..oh surprise...it is the best little tool in that matter, that I've crossed in almost 2 years I'm using my pc...before I sure have tried plenty of other tools, ..more or less efficient..but yours is far out. A friend of mine told me about it and sent me the CD rom from a german pc magazine EXTRA Freeware # 4:My set has never been as fast as after the installation of cacheman and there was no problem with the installation....congratulations!

Ray Irrthum

I wish I had found this superb little util 2 years ago. The cd-writer settings have boosted the performance of my P200mmx,32mb ram system to a very noticeable degree. I had a lot of problems with buffer underrun while burning cd-r`s, cacheman seems to have solved the problem instantly.

Well done. A postcard is on it`s way from Lanark, Scotland.

All the very best...

F.J.

Cacheman has totally revitalized my PC!

Thanks a million!

Colin "Oscar" Smedley.

Just installed it this weekend. Brilliant, I have a PII266 with 128mb and it was running like a dog with 3 legs in Win98. Free memory was never above about 10mb, but now I have setup Cacheman for a power user I constantly have 50-70mb free - result everything runs much faster and applications zip open. Thanks very much - keep up the good work.

Steve Heads

Recently I installed Cacheman v3.60. I'm pleased that the access to my hard drive has diminished markedly. Every so often my hard drive used to be accessed as if by an anti-virus scan, but that wasn't it. That's stopped since I installed Cacheman so I believe it must have been swapfile activity I was observing. Nice to have that annoyance eliminated,especially since my CPU is a desktop sitting right in front of me.

Regards,

Richard Vopelak

I've tried a lot of programs that say they will speed up performance but most of them are just hype. I recently reformatted and my system was running very unstable. I restarted at least 20 times in 3 days. Windows kept using up all my memory and I only had a few programs open. White boxes would come up and say you are running dangerously low on resources and it would give me a choice of programs to close. I would try to close one and windows would lock up. This also happened when I tried to close out some programs that weren't responding using control alt delete and windows would lock up again. Now that I have Cacheman installed again everything is running great. I had Cacheman installed when I first got my computer and totally forgot about it after a few days. Thank you for a stable system once again!

Kyle K.

Dear Mr. Thomas,

Downloaded a few days ago,it's been a great pleasure to install your CacheMan on my computer - before installing my RAM was just disappearing and nothing was left after a few working programs was loaded. It really works fine on my computer with any default settings.

Thank you so very much!

Yours sincerely
Thorben Nørgaard

I just downloaded your Cacheman freeware off the internet after seeing it on the Autopsy Report (via http://www.slaughterhouse.com). This is one great piece of software! Thank you, thank you, thank you. My free physical memory went from 80KB to 6100KB using the low memory setting! I'm going to experiment with the other settings.

Thanks again.

Matt Medena

Hi Thomas,
I think we have corresponded before, about some of your other software titles. I will not bore you with praise, you must have plenty!! You write software that is simple and useful, AND does not fill the hard drive with crap you never use a la Microsoft etc. Please keep me up to date with the stuff you are doing.
Thanx.

Regards,

John May

Thank you for the GREAT program you have written. No matter how much time you spent writing it, it can't be as much as the time I have spent trying to stop Win95 from swapping all the time. And I have 160 MB of RAM!!!VCACHE would regularly use 150 MB (155 MB once) for cache, while making the OS and programs do to swap. Now, with the settings I choose in Cacheman, I no longer use the swap file(except while editing large .jpgs).I never did understand the logic of VCACHE thinking that caching the swap file was faster than just releasing that memory to begin with. Now VCACHE doesn't have a choice in the matter. ;)

Jason Woods

I just want to say how thankful I am for Cacheman! I installed and tried it today and suddenly 9 months of problems with my computer are over. I've had trouble with the memory and I just couldn't figure out what to do to fix it. But a few days ago your Cacheman was in Softseek's newsletter and I thought I's give it a try. And it worked. Thank God! No, thank YOU!

From a happy Cacheman user,

Frode Kløw.

This is just a really quick message to thank you for creating the wonderful 'cacheman'. I installed it a few days ago and am amazed at the results. I have claimed back about 4 - 10MB of memory, and as I use graphics appz such as photoshop an awful lot, this has dramatically speeded things up and just made life a lot easier.

There you go. Huge pat on the back. Well done!

Cary Charles

First of all, thanks for Cacheman. It improved the speed of my system drastically. I'm usually running Delphi, Word, Outlook Express, Internet Explorer etc at the same time and Cacheman improved response times tremendously. A postcard from Enschede, the Netherlands is on the way.

Arjen Broeze

I am a video producer, using Fast Electronics digital video products. There has always been considerable problem in switching between the editing software and the capture/output software in that system, seemingly because Windows 95/98 cannot manage the swap file mess it leaves behind. Among video editors, the controversy has gone on for some time about how to fix the problem, dealing with various placements and size of swap files,even turning it off. (then back on for various operations; a real pain!) When going between the two main applications, Premiere and DVManager, the system must be rebooted just to clean out the cache. Failing to do so will almost always result in a system shutdown. When you're busy trying to put maximum creative energy into a video production, I cannot possibly tell you how much of a problem the constant rebooting is!My first use of Cacheman would indicate that it helps, even perhaps solves that problem. If that is true, that would make whomever wrote this little jewel nothing short of a hero to all of us who edit video on PC's.

Dave Boyers
Plain City, Ohio

I just wanted to tell you that Cacheman 3.5 has made an incredible difference in my systems performance. I had almost given up using the Internet except in the early morning because it took SO..... long to do anything. This computer is an older Intel 100 with only 16 MB of memory. I really thought it was beyond hope! Although my new computer arrives next week, I do not think I'll junk this one as planned. Cacheman really made that much difference.

Thank you
Pamela Dick

Thanks for a great program. At last, a tool that made it easy to get a handle on the elusive MS cache monster. I've been through a variety of apps to "enhance" performance but none have been as effective and as common sense as Cacheman. And it doesn't eat resources!!

Bravo!!!

Jeff Frankhouser
Great Falls, Montana

I just tried Cacheman 3.0 and I must say that it made a world of difference on my 233mhz 24mb computer! Now my computer has some pep in its step! I can't believe just a little 400kb download can do so much good! You program was easy to use too! I especially liked the simple way to set the disk cache ( I.E. Poweruser,Quake2 ) simple settings that a novice can even understand! My hard drive is a lot quieter now.

THANK YOU

David Crocker

I had the problem with runaway disk cache usage in w95. I have 256 MB and I'd have 200 eaten up caching junk I would never need again. Then I would swap constantly. I work with huge multi-image collages (100 - 150 MB). I now have much more free ram.

Brian P. Barnes

Thank you for your programs. As I was one of the fools that actually paid for Memturbo believing that it did something "more" than Cacheman. I ran both programs after a cold boot and discovered that Cacheman was actually more effective than the hyped Memturbo. As I'm under an extremely tight budget, I now regret paying the fee that Memturbo required. I also intend on installing your new ver 3.0 in about a minute - right after I uninstall MemTurbo. I appreciate the quality of your programs and depend upon generous developers like you for many utilities. I use all of your freeware and look forward to what you have coming up next. Your postcard will be arriving soon.

Thank you again...Merry Christmas from Everett, MA. USA

Sincerely,

Paul Pappathan

Dear Mr. Reimann,

This is a small note to say a BIG THANK YOU for Cacheman v.3.7 which I downloaded last night from the freeware segment of CNet. As reviewed therein, your program boosted my system's performance noticeably. I am a management consultant and consequently I frequently run Excel, PowerPoint and MS Project simultaneously. Also, the internet is my primary (and preferred, if you like) communication link with the outside world. So, as you can well imagine, my rather archaic system (I generally use a Toshiba laptop with measly 48Megs of RAM) is constantly overtaxed. After installing and running Cacheman under the power user setting, I find that my system performance is affording me the opportunity to postpone my projected investment in a second laptop. All thanks to you!!! can be sure of one thing, when I do get my new system, Cacheman is going to be one of the first utilities that I will be installing.

Again, thanks!!!!!
Sincerely,

Mana Guha

Two weeks ago, following Fred langa recommendation,I downloaded Cacheman for my Dell Dimension, PIII, 384MB SDRAM, 22.6 GB HD, running Win98 SE. Previous to Cacheman my System Resources had been 67% immediately after Restart and 63% after Internet browsing. Crashes and freezes are things of the past because every 4 weeks I spend 40 minutes with my $19. CD reinstalling Win98 SE, so as to clean files and tweak the system (better than Disk Cleanup).The Cacheman settings are Automatic for Beginners and the readings are 81% , 77% and the Disk Cache are min. 1024, max. 8192. The improvements in Resources have been great and my PC stays always fast.

Efrain Morales

Thomas,
CacheMan immediately proved what a hideous burden Vcache imposes on most Windows machines. Initially, with standard Windows settings ("let Microsoft decide") my 128mb RAM brought no great performance gains over the 64mb installed previously. After installing CacheMan, and with windows now snapping into place, I tinkered beyond the basic CacheMan settings and got 99mb RAM free. I did not expect this much of an improvement! This will change as my program mix moves over into heavy web graphics, but the benefit is enormous.

Appreciatively,

Brian Graham
Columbia, SC

Thanks a million for the fine cacheman program. I have had a lot of problems with my computer locking up, while working on webpages and jpg images,since I downloaded your program, I have not had that problem again. this is a great program.

Thanks again
Kernel Corn
Clanton, Alabama


 Distribution

We allow the free distribution of Cacheman, but we retain ownership and copyright of Cacheman and its source code in its entirety. You may distribute Cacheman only subject to the following conditions:

You are allowed to distribute Cacheman through the Internet, BBS's, Shareware distribution libraries, CD-ROMs and Magazine Cover Media. You may charge a distribution fee for the package, but you must not represent in any way that you are selling Cacheman itself. You have to inform us before any distribution at distribution@outertech.com, we will send you information about new Cacheman releases. Cacheman may be bundled and distributed together with other software products.

You may not modify the program or documentation files in any way. You must include all the files that were in the original distribution. You may not decouple or otherwise reduce Cacheman to a human perceivable form. You may not sell Cacheman or charge a distribution fee, except to recover the media costs.


 First steps

If you launch Cacheman for the first time, you will see the Overview page of the Info section. The lowest and highest values are recorded only while Cacheman is running, so at this time they will not differ much from the current usage. Disk Cache and 16Bit resources information is available on Windows 9x and ME systems only.

You can switch between the 10 different Cacheman pages using the navigation bar located to the right of the Cacheman window. Most pages have Help or Wizard buttons. Use them to learn more about Cacheman's functionality and change settings to fine-tune your system's performance. Most settings require a system reboot for the changes to take effect. Cacheman saves your original system settings on first startup in a Profile named "Initial Settings". You can safely revert back to your original settings by loading this profile.

By default, Cacheman starts automatically with Windows and minimizes itself to the System tray. Double-click the icon in the tray to view the main window. You can disable the automatic launch feature by deselecting Load Cacheman on Windows startup in the Options section, if you do not need Cacheman's monitoring or memory recovery abilities.


 Profiles

4

Save all settings into a profile before modifying them. This way you will always be able to revert to your old settings if anything goes wrong. The "Initial Settings" profile is created on the very first Cacheman launch on your PC. This profile cannot be deleted (for safety reasons). Profiles can be managed in the Settings section.

profiles

Tip document

Cacheman creates a directory named Profiles in its installation directory to store profiles. Each profile consist of a file with the extension cpf. You can replicate your custom profile on any other computer. You simply need to copy the cpf file to the target computer and load the profile through Cacheman. This feature is particularly useful if you have a large network of computers and want to apply the same settings to all the computers or while sending it to your friends.


Menus

 Main Menu

File

Save Settings

This menu item becomes active only if you have modified at least one setting in Cacheman. This does not apply to Memory Recovery settings which are saved immediately. These settings are saved to the Windows registry and the System.ini file. Most settings require a system reboot for the changes to take effect. Cacheman prompts you with a request to reboot on exit if needed.

Create system configuration report...

Cacheman collects system information like CPU & Memory data and saves it to a text file.

Copy system report to clipboard

Cacheman collects system information like CPU & Memory data and copies it to clipboard. Please include this data in email support requests.

Wizard

In this menu you can directly launch any of Cacheman's Wizards. Name & Path Cache and CDFS Cache wizards are available only under Windows 9x and ME systems.

Tray Icon Menu

Hide|Show Window

Hides or shows Cacheman's window.

Enable|Disable Recovery

Enables or disables periodic Memory Recovery.

Enable|Disable Logging

Enables or disables Logging.

Recover Memory now

Attempts to recover memory immediately. Ignores all settings from the Memory Recovery page except the memory amount setting.


 Info section

Overview

1

This page displays several information values such as memory usage etc. The lowest and highest values are recorded only while Cacheman is running, so at this time they will not differ much from the current usage. Disk Cache and 16-bit resources information is available on Windows 9x and ME systems only.

History Graph

2

The History Graph is useful if you want to watch an information value over a time period (e.g. when working with specific software).

Values available:

Physical Memory - Usage
Physical Memory - Free
Virtual Memory - Usage

Win 9x/Me only:

User Resources - Free
GDI Resources - Free

To start the History Graph enter the desired update Interval and turn on the Enabled checkbox.

Logging

3

Logging is a function similar the History Graph, but instead of a visual display the values are written out to a log file. To start logging select the filename, enter the desired log values into the Logline edit field and turn on the Enabled checkbox.

Cacheman will replace the tags with the actual values - example:

Logline: %date%, %time% Used Virtual Memory: %vm_usage% MBytes

will appear as follows in the log file:

15/07/2001, 07:22 AM Used Virtual Memory: 120.9 MBytes

Cacheman offers these tags:

%date%
%time%

Physical Memory:

%mem_avail%
%mem_avail_kb%
%mem_avail_b%
%mem_usage%
%mem_usage_kb%
%mem_usage_b%

Virtual Memory Usage:

%vm_usage%
%vm_usage_kb%
%vm_usage_b%

Win 9x/Me only:

16Bit Resources:

%user_avail%
%gdi_avail%


 Settings section

Profiles

4

For Profiles explanation please click here.

Disk Cache

5

Disk Cache is a part of RAM that acts as an intermediate buffer when data is read from and written to storage devices.

The Disk Cache driver stores the most recently accessed data in RAM. When a program needs to access new data, the operating system first checks to see if the data is in the cache before reading it from the disk. Because computers can access data from RAM much faster than from a storage device, disk caching can significantly increase performance.

What's the problem with the Windows 9x-ME Disk Cache?

There is no problem with the Disk Cache itself, but Windows 9x-ME can often gobble up 80% of your installed memory for the Cache. It does not hurt if you still have enough free RAM, but should this be not the case - the increased usage of Virtual Memory will decrease system performance by a significant amount. Cacheman will help you set the Disk Cache limits for your system and if necessary gain more free memory.

If you are not an expert user, launch the wizard for automatic settings, otherwise set the Cache limits using the Minimal and Maximal sliders.

How can I test if my system has optimal Disk Cache settings?

A benchmarking program is not suitable for this purpose. A large Disk Cache speeds up most IO operations and the re-loading of applications by a significant amount, but on the other side if no free RAM is left a too large Disk Cache can decrease the general application performance by a huge amount due to increased page file swapping.

The best method to test your settings is to create a worst-case scenario by loading several applications at the same time and work with them. If you encounter major slow downs (e.g. by processing large images in graphic software) try to reduce the Disk Cache to gain more free RAM. Registered Cacheman users can contact support to get performance related help.

Chunk Size

The Disk Cache is a single block of memory which is divided into chunks. The performance changes slightly with the Chunk Size. If it is too small, the data must occupy too many chunks and vice versa. An optimum size must be arrived at so that the Chunk Size is not too large and not too small. The default size of 512 Bytes is best. Most Windows versions ignore this setting anyway, so leave it at default.

What about Windows NT4/2000/XP?

Windows NT4/2000/XP has a much better Disk Cache handling, so the Windows 9x-ME problems should not occur if you have at least 128MB of RAM. You can select one of four predefined Disk Cache presets:

Minimize Memory Used

This setting minimizes the amount of memory used for the Disk Cache in order to maximize the amount of memory available for applications. This is the default setting for Windows NT Workstations and Windows 2000 Professional.

Balance

This setting instructs Windows to give the Disk Cache and applications the same priority.

Maximize Throughput for File Sharing

The Disk Cache gets a higher priority with this preset. It should be the best for file servers and workstations with very high I/O activity.

Maximize Throughput for Network Applications

This setting instructs Windows to give applications higher priority. It should be the best preset for application servers.

Additional Caches

6

Name & Path Cache

Path Cache specifies the size of the cache that the virtual file allocation table (VFAT) can use to save the locations of the most recently accessed directory paths. Name Cache stores the locations of the most recently accessed file names. This cache improves performance by reducing the number of times the file system must seek paths by searching the file allocation table. The memory is allocated out of general system heap.

Name & Path Cache settings are available only on Windows 9x-ME.

A Wizard is available for novice users.

CDFS Cache

The CDFS Cache is separated from the Disk Cache because the performance characteristics of compact discs are different. This cache can be moved to swap file. When Windows retrieves data from a compact disc, it is still faster to read a record from the CDFS Cache even if it has been swapped out, because the hard drive access time is much faster compared to access time of the CDRom drive. DVDs primarily use the Universal Disk Format (UDF) for their file systems, this means the Disk Cache is responsible for most DVD-Discs, not the CDFS Cache!

CDFS settings are available only on Windows 9x-ME.

A Wizard is available for novice users.

Icon Cache

Every executable file has an icon associated with it. Every time the shell displays a folder full of files it needs to obtain icons for each of those items. By saving icons that it has already retrieved into a cache, the shell is relieved of the need to constantly retrieve icons from executable files and icon libraries. This can make a vast difference to system performance, especially when accessing network drives.

After changing this setting you need to reboot at least 2 times until it becomes effective, but since it's not a critical setting Cacheman will not ask you on exit to reboot.

Memory Recovery

7

This feature can recover RAM by swapping out unused parts (e.g. from inactive or crashed software) to hard disk. Instead of periodic recovery tries you can also use this feature on demand by right clicking the Tray Icon and launching the Recover Memory now menu item.

Enabled

When turned on Cacheman will periodically try to recover memory.

Try to recover every xx minutes

This is the time amount between the recovery tries. This value depends greatly on your computer usage but should not be lower than 30 minutes.

If free memory is below

Cacheman will only perform the recovery process if the available memory is below this value. It makes no much sense to recover memory if a significant amount is still available. (The minimal limit value can be overridden in Cacheman.ini - add MaxBelow=xxx to [Recovery] section).

Memory amount

It's important to not choose a too large value here as this would free up data that could be needed within the next minutes. Only a good chosen amount ensures performance enhancements. Novice users should use the automatic setting for best results. Both the automatic setting and maximal user defined values are calculated according to your installed RAM amount. (The maximal manual value can be overridden in Cacheman.ini - add MaxAmount=xxx to [Recovery] section).

Example:

Try to recover every 40 minutes
Memory below value: 20 MBytes
Memory amount value: 10 MBytes

Cacheman will check every 40 minutes if memory is below 20 MBytes. If so (e.g. 15 MBytes were available) it will try to recover 10 MBytes. On success you should get 25 MBytes free RAM.

Do not recover on high CPU Usage

This setting is highly recommended. Cacheman will not try to recover memory when your CPU is doing some heavy work (e.g. when your are playing a game). If Cacheman detects high CPU Usage it will postpone the recovery by 5 minutes.

Do not recover on high HD Activity (Win9x-ME only)

This setting is similar to the CPU Usage setting, but it measures high hard disk activity instead. Highly recommended if available. If Cacheman detects high HD Activity it will postpone the recovery by 5 minutes.

Recover on Startup

Cacheman will try to recover memory immediately after it has been loaded.

Flash Tray Icon on Recovery

If checked, the Tray Icon will flash when Cacheman is performing a Memory Recovery operation.

Status

Cacheman will output some status information into this box like the amount of successfully recovered memory after a recovery try.

Windows 98-ME Tip document

If you have a lot of RAM (at least 384 MBytes) it is recommended to use the Conservative Swap File Usage setting (available in the Miscellaneous section) together with Memory Recovery to reduce constant hard disk activity.

Miscellaneous

8

Settings available on all Operating Systems

Unload DLLs from memory

Windows automatically unloads DLLs when the usage count is zero, but only after the DLLs have not been used for a period of time. This inactive period might be unacceptably long at times and cause performance slow downs on low memory systems. Enable this option to disable Windows holding the DLLs in memory.

Hung App Timeout

Windows waits by default a long time to finally acknowledge that a particular program is "Not responding", and only after that allowing you to shut it down by clicking the End Task button.

Wait to Kill App Timeout

This value sets the timeout until Windows shuts down/restarts, while trying to exit all open programs.

Show Menu Delay

Decreasing this value makes the Start Menu cascading menus appear more quickly.

Win NT4/2000/XP only settings

IO Page Lock Limit

If your system is very IO intensive you can increase the amount of memory that can be locked for IO operations when data is read from or written to the hard disks. When this value is 0, the system uses the default (512 Kbytes). Raising this value can give you a significant performance boost.

Disable Executive Paging

Parts of system code and device drivers can be swapped out to page file when the system needs more RAM. The system slows down when it needs that code or drivers since it must load them from the page file. Windows stops while the required code is swapped in or out of RAM dependent on very long hard drive access times. If you have more than sufficient RAM, disabling Executive paging should improve performance.

Enable Filename completion

Filename completion is a popular feature of many UNIX shells that saves keystrokes. It is disabled by default in Windows 2000. In a dos console window, if you type the first few letters of a filename and then press the tab key, a matching filename will appear on the command line.

Win 9x-ME only settings

VFAT Contiguous Allocation Size

Fragmentation occurs over time, as programs read from and write to the hard disk. Eventually, files must be stored in noncontiguous sectors on a disk. Fragmentation does not affect the validity of the information, but it takes much longer for the computer to read and write fragmented files. Under MS-DOS, the file system began allocating the first available space found on the disk, which ensured a great deal of disk fragmentation and related performance problems. By default under Windows 9x-ME, the file system first tries to allocate space in the first contiguous 512 KBytes to prevent extreme fragmentation. Increasing this value can result in even less fragmentation and improved performance.

Read-Ahead Threshold

Read-Ahead Threshold is the amount of additional bytes that will be read when a application reads data in sequence. It is meant to improve read performance by anticipating the next read. This works in many cases, unfortunately the performance will decrease if more than one application accesses the hard drive at the same time.

IO Page Buffers

This setting specifies the number of page buffers used to store asynchronous read and write pages when accessing the hard drive. This setting is used only if you are using 32-Bit Disk Access and a permanent swap file. Increasing this value can improve Windows performance.

Win 98-ME only setting

Conservative Swap File Usage

The PageFile Call Async Manager feature in Windows 98-ME allows the Memory Manager to asynchronously write out swap file buffers during VFAT idle times. This results in more free memory, but causes permanent HD activity even if no application is in memory. To disable this HD activity you have to turn Conservative Swap File Usage on. This is recommended if you have at least 384 MBytes of RAM and are using Cacheman's Memory Recovery feature.


 Options section

You can configure Cacheman on this page.

Tray Area
tray3

Show Tray Icon

If checked Cacheman will display a small icon in the Tray Area, You can access a few important features through a menu which appears on right-clicking the icon.

Display in Tray Icon

Select what symbol should be displayed in the Tray Icon image.

Update interval

Here you can set the intervals at which Cacheman should update the Tray Icon.

Minimize to Tray Icon

If checked Cacheman will not minimize to the Taskbar, but hide to Tray Icon instead.

Hide to Tray Icon on startup

If checked Cacheman will hide to tray immediately after start.

Hide to Tray Icon on window close

Check this option if you want Cacheman to hide itself as an icon to the System tray when the Cacheman window is closed using the close button on the title bar. If this option is unchecked and the window is closed Cacheman quits.

Tip document

Double-click the Tray Icon to hide or view Cacheman's window.

Misc

Stay always on top

If checked Cacheman's window will stay on top of other windows.

Show splash screen

If checked Cacheman will show a splash screen while loading.

Remember last GUI position

If checked Cacheman will remember the last active page (e.g. the Disk Cache settings) and show this page immediately on next startup.

Load Cacheman on Windows startup

If checked Cacheman will be automatically loaded at Windows startup.


 Tray Icon

tray

Cacheman adds itself as an icon to the System tray by default. You can access a few important features through a menu which appears on right-clicking the icon. Double-click the tray icon to hide or view Cacheman's window. Hover the mouse pointer over the tray icon for a few seconds to view free RAM and Virtual memory usage as a tooltip.

Cacheman's Tray Icon can be also used for monitoring purposes e.g. It can display the free memory amount. This can be configured in the Options page.

I'm using Windows 95 and Cacheman's Tray Icon has an empty image!?

Please download the ComCtl32 Update from http://www.outertech.com .


 Wizards

Especially for novice users Cacheman offers Wizards to guide the user thru all settings. You can launch a wizard by clicking on the according button or by selecting it from the wizard menu. Most wizards will suggest the best settings for your system!

wizard2

Example Wizard:

wizard


 Disabling Cacheman

How can I restore my original (pre-Cacheman) settings?

On first launch Cacheman has saved all your settings into a profile called "Initial Settings" (this profile cannot be deleted within Cacheman). To restore your original settings simply load this profile, save the settings (File Menu) and reboot.

How to disable Cacheman?

Go to the..

History Page (Info section) and uncheck the Enabled checkbox.
Logging Page (Info section) and uncheck the Enabled checkbox.
Memory Recovery Page (Settings section) and uncheck the Enabled Button.
Options section and uncheck the Load Cacheman on Windows startup checkbox.


FAQ

 Frequently Asked Questions

Is Cacheman Freeware or Shareware?
How to get support?
Does Cacheman work on Windows NT4/2000/XP?
What are GDI / User resources?
Can I increase GDI / User resources?
Does Cacheman change the Virtual Memory size?
Does Cacheman have to be running all the time to work?
Does Cacheman add drivers to my system?
Will Cacheman improve every computer?
Is it dangerous to use Cacheman?
How can I restore my original (pre-Cacheman) settings?
I'm using Windows 95 and Cacheman's Tray Icon has an empty image - how to solve it!?

Is Cacheman Freeware or Shareware?

That depends on yourself - please read this section.

How to get support?

Please refer to this section.

Does Cacheman work on Windows NT4/2000/XP?

Yes, most settings are designed for Windows 9x-ME, but Cacheman offers even some NT4/2000/XP only settings.

What are GDI / User resources?

System resources are areas of memory that are used by the input manager (USER) and the graphic display interface manager (GDI) for keeping track of all of the windows that are open in a session and for drawing objects on the screen.

The Graphics Device Interface (GDI) is the graphical system that manages what appears on the screen. It also provides graphics support for printers and other output devices. It draws graphic primitives, manipulates bitmaps, and interacts with device-independent graphics drivers, including those for display and printer output device drivers.

The User component manages input from the keyboard, mouse, and other input devices and output to the user interface (windows, icons, menus, and so on). It also manages interaction with the sound driver, timer, and communications ports. Windows 98/ME uses an asynchronous input model for all input to the system and applications. As the various input devices generate interrupts, the interrupt handler converts these interrupts to messages and sends the messages to a raw input thread area, which in turn passes each message to the appropriate message queue. Although each Win32-based thread can have its own message queue, all Win16-based applications share a common one.

The size of each heap is fixed.

16-bit User heap (64K)
32-bit User window heap (2MB)
32-bit User menu heap (2MB)
16-bit GDI heap (64K)
32-bit GDI heap (2MB)

If any of these segments becomes full, programs may fail to load and Windows 9x/ME may become unstable - regardless of how much other free memory there is.

Can I increase GDI / User resources?

This is not possible. If you have very serious GDI / User resource problems the only way to solve them is to use less applications at the same time or to upgrade to Windows 2000/XP.

Does Cacheman change the Virtual Memory size?

No.

Does Cacheman have to be running all the time to work?

Not always. If you don't use Cacheman's Memory Recovery, History Graph or Logging functions it's enough to launch it only if you want to tweak some settings. A reboot is needed to make most settings effective, Cacheman will ask you to reboot if you quit it.

Does Cacheman add drivers my system?

No.

Will Cacheman improve every computer?

No. Cacheman is not a magic utility. Many Cacheman users have achieved great performance and/or system reaction time improvement, some even reported their system behaves after using Cacheman like after an expensive hardware upgrade. Of course, we have received a few reports where Cacheman was not able to help. We urge you to try it yourself and decide.

You can see in the User comments topic how Cacheman has improved performance on many systems.

Is it dangerous to use Cacheman?

Cacheman works on a huge numbers of computers without any problems. We have received a few user reports who have had problems while using Cacheman with exotic device drivers. (e.g. some noname network adapters). Use Cacheman at your own risk as stated in the license agreement of the installation program! Cacheman saves your original system settings on first startup, you can restore them anytime!

How can I restore my original (pre-Cacheman) settings?

Please refer to this section.

I'm using Windows 95 and Cacheman's Tray Icon has an empty image - how to solve it!?

Please download the ComCtl32 Update from http://www.outertech.com


.topic 1

What can I do with Cacheman?

Optimize

    Disk Cache
    Name & Path Cache
    CdRom Cache
    Icon Cache

Periodically recover memory

Tweak several system settings to improve performance

Watch & monitor several important system values

    Overview page
    History Graph
    Logging
    Tray Icon

Create System configuration reports

Will Cacheman improve every system?

No. Cacheman is not a magic utility. Many Cacheman users have achieved great performance and/or system reaction time improvement, some even reported their system behaves after using Cacheman like after an expensive hardware upgrade. Of course, we have received a few reports where Cacheman was not able to help. We urge you to try it yourself and decide.

You can see in the User comments how Cacheman has improved performance of many systems.

Is it dangerous to use Cacheman?

Cacheman works on a huge numbers of computers without any problems. We have received a few user reports who have had problems while using Cacheman with exotic device drivers. (e.g. noname network adapters). Use Cacheman at your own risk as stated in the license agreement of the installation program!

Cacheman saves your original system settings on first startup, you can restore them anytime! If you encounter any problems - read this section how to do it.

What does Cacheman cost?

That depends on yourself - please read this section for exact information.

How to begin?

Please read the First Steps section.

.topic 3
Disclaimer Agreement

Users of Cacheman must accept this disclaimer of warranty:

NOTICE TO USERS: CAREFULLY READ THE FOLLOWING LEGAL AGREEMENT. USE OF THE CACHEMAN SOFTWARE PROVIDED WITH THIS AGREEMENT (THE "SOFTWARE") CONSTITUTES YOUR ACCEPTANCE OF THESE TERMS. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL AND/OR USE THIS SOFTWARE. USER'S USE OF THIS SOFTWARE IS CONDITIONED UPON COMPLIANCE BY USER WITH THE TERMS OF THIS AGREEMENT.

1. LICENSE GRANT.

Outer Technologies grants you a license to use Cacheman (the "SOFTWARE") on any computer as long as the terms of this license agreement are respected. "You" means the company, entity, or individual installing or using the SOFTWARE. "Use" means storing, loading, installing, executing, or displaying the SOFTWARE.

Cacheman is Shareware, NOT Public Domain software, you are not allowed to use any parts of Cacheman in other software products.

a, Private/Educational usage

In order to keep using Cacheman you have to register. The registration fee for Cacheman is $10. Since most users cannot afford $10, Cacheman has no disabled features and no time limit. If you really cannot afford the shareware fee you are allowed to use Cacheman as Freeware. All updates for registered users will be free even if we should be forced to change the license to Shareware only with the next major release.

b, Commercial/Corporate usage

If you want to keep using Cacheman you have to pay a $10 (Single User license) Shareware fee. Multi User and Corporate/Site licenses are available on the registration page.

2. COPYRIGHT. The SOFTWARE is protected by United States copyright law and international treaty provisions. You acknowledge that no title to the intellectual property in the SOFTWARE is transferred to you. You further acknowledge that title and full ownership rights to the SOFTWARE will remain the exclusive property of Outer Technologies and you will not acquire any rights to the SOFTWARE except as expressly set forth in this license. You agree that any copies of the SOFTWARE will contain the same proprietary notices which appear on and in the SOFTWARE.

3. UNAUTHORIZED USE. You may not use, rent, sell, modify, decompile, disassemble, otherwise reverse engineer or transfer the SOFTWARE except as provided in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license.

4. LIMITED WARRANTY. THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS. OUTER TECHNOLOGIES DISCLAIMS ALL WARRANTIES RELATING TO THIS SOFTWARE, WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. NEITHER OUTER TECHNOLOGIES NOR ANYONE ELSE WHO HAS BEEN INVOLVED IN THE CREATION, PRODUCTION, OR DELIVERY OF THIS SOFTWARE SHALL BE LIABLE FOR ANY INDIRECT, CONSEQUENTIAL, OR INCIDENTAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE SUCH SOFTWARE, EVEN IF OUTER TECHNOLOGIES HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES OR CLAIMS. THE PERSON USING THE SOFTWARE BEARS ALL RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE.

SOME JURISDICTIONS DO NOT ALLOW LIMITATION OR EXCLUSION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATIONS OR EXCLUSION MAY NOT APPLY TO YOU TO THE EXTENT THAT LIABILITY IS BY LAW INCAPABLE OF EXCLUSION OR RESTRICTION.

5. SEVER ABILITY. In the event of invalidity of any provision of this license, the parties agree that such invalidity shall not affect the validity of the remaining portions of this license.

6. NO LIABILITY FOR CONSEQUENTIAL DAMAGES. IN NO EVENT SHALL OUTER TECHNOLOGIES OR ITS SUPPLIERS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, SPECIAL, INCIDENTAL, OR INDIRECT DAMAGES OF ANY KIND ARISING OUT OF THE DELIVERY, PERFORMANCE, OR USE OF THE SOFTWARE, EVEN IF OUTER TECHNOLOGIES HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL OUTER TECHNOLOGIES'S LIABILITY FOR ANY CLAIM, WHETHER IN CONTRACT, TORT, OR ANY OTHER THEORY OF LIABILITY, EXCEED THE LICENSE FEE PAID BY YOU, IF ANY.

7. GOVERNING LAW. This agreement shall be governed by the laws of Germany, excluding the application of its conflicts of law rules, and shall inure to the benefit of Outer Technologies and any successors, administrators, heirs, and assigns. Any action or proceeding brought by either party against the other arising out of or related to this agreement shall be brought only in a COURT of competent jurisdiction located in Germany. The parties hereby consent to in personal jurisdiction of said courts. The United Nations Convention on Contracts for the International Sale of Goods is specifically disclaimed.

8. ENTIRE AGREEMENT. This is the entire agreement between you and Outer Technologies, which supersedes any prior agreement or understanding, whether written or oral, relating to the subject matter of this license.

9. RESERVED RIGHTS. All rights not expressly granted here are reserved to Outer Technologies.

VIOLATION OR NON-ACCEPTANCE OF ANY OF THE ABOVE LICENCE CONDITIONS IMMEDIATELY AND UNCONDITIONALLY TERMINATES YOUR LICENCE.

Cacheman is Copyright ã 1997-2001 by Outer Technologies.

.topic 6
How to get support?

Program usage and performance related support is only available for registered users.  Please write to   , you should receive an answer within 24 hours. Be sure to include your customer ID and system information (you can create a report in Cacheman's File menu).

Non-support requests like bug reports & comments should be sent to  .

.topic 4
History

.topic 5
Our other products

Linkman is a URL manager and webpage monitor. Discover a new browsing experience with its fully configurable Drop Basket and Tray Icon, detect if content of your favorite web pages has changed, become unavailable or has moved to a new location, create Export Templates to output your Link Collection in a variety of formats. Delete duplicates, password protect your database and search using multiple criteria with the Link Collector. Linkman supports all major Windows browsers.

StartEd is a tool which helps you to manage those pesky programs which load from the Registry, Startup folders and Win.ini at Windows Startup. If you need total and direct control over the programs loaded during the booting processes, then StartEd is the answer. It lets you modify and backup the Startup configuration, detects more than 50 Trojan Horses and comes also handy for every system administrator by managing user startup shortcuts.

.topic 2
Some User comments

I recently purchased Lionhead's great game Black and White and installed it on my new Dell Dimension 4100.  I thought I'd have a smooth experience, but my DVD-ROM and hard drive continually ran and turned fluid gameplay into a slideshow.  With all the attempts on my part and even Lionhead tech support, I was only able to reduce the problem, but didn't eliminate it.  After downloading and installing Cacheman 4.1, I was able to completely eliminate the problem and every piece of software I have benefits from Cacheman.  I highly recommend this product to people as a powerful alternative to memory upgrades.

Matthew Peak

Hi there,

This is not a support request but I'd just like to give you some feedback on Cacheman 4.1.

I read about it on download.com in their essential pc utilities so I downloaded it to give it a try. Even though I have 256mb of RAM, Windows 98 (se) seems to manage it atrociously. I frequently have to reboot due to memory shortages, normally IE5 breaks the system. Also, I thought unconnected, IE5 & Outlook 5 take an age to start up. When I click on them, it opens the window but the actual tool bar does not load for a few seconds and the harddrive thrashes around trying to load them up. I always thought this was a registry error, so I have tried various reg hacks to sort it.

Up steps Cacheman. I couldn't believe it when IE5 & Outlook snapped open as quick as you like, as they should do on a 800mhz system. It had never occured to me that the memory could be the problem.

Thanks for the product,

Pete Gibbins
Applications Development
Thomas Cook G&FS

I suffered about a network slowdown issue for weeks until I was referred to Cacheman. Problem solved. Thanks! I just can't understand why WinME had this problem in the first place.

Here's some history:

This has been driving me nuts:

When I copy and paste files from other computers on my network to the MSI K7T Turbo-Raid, it starts out like gangbusters then drags to a crawl and the mouse will become slow  as if it's stuck in mud. Once I cancel the file transfer, the mouse moves freely again. This only occurs ONE WAY, when I working from the K7T-R. If I send files to the same machine from other machines, transfer is smooth and so is the mouse.

...

Any ideas would be highly appreciated. I've hammered this out for days and I'm ready to play for a change! Thanks

~~~~~~~~~~~~~~~~~~~~~~~~

I had this same problem with WinMe and 256 MB ram, download the program "Cacheman" and change the default windows cache settings, when i tried this the problem went away. Just try the power user template :-)

Cacheman is freeware, download here :
http://www.tweakfiles.com/memory/cacheman.html

Ciao,
     remco

~~~~~~~~~~~~~~~~~~~~~~~

You nailed it! I just want to extend my deepest appreciation as I have been hammering this one out for weeks, and I'm not one to ask for help until I've absolutely reached the end of my rope (and I was about to hang myself with it).

I never considered it could be a disk cache issue but I gave Cacheman a shot as a last ditch effort before formatting and going back to 98se. Bingo. My mouse is as free as a bird and file transfers across the network are smooth.

Eddie Puryear

Thanks for Cacheman!!

I was having major problems burning CD's, playing 3D games and was also troubled with slow HD access times when cutting & copying within CoolEdit but thanks to your piece of wizardry, all my problems have been resolved. No more failed burns, no more unexpected crashes in Tomb Raider 4 and best of all, my 700MHz Athlon now acts like it should, fast and transparent to use.

Best regards.

Mick Heyes

Hey, this program is absolutely fantastic. Yesterday I downloaded the version 4.0 of cacheman. I choosed the first option for novice and intermediate users and I gained 40 Mb Ram. I have a Celeron400, 96 Ram,Voodoo 3 2000..... . Without this utility only 15 Mb Ram were left. In other words this is a super-great-excellent-fantastic program. I have seen a good improvement in speed in games like Red Alert 2, Panzer 3D Assault which require more memory. I tried before other utilities but in vain. At the end I found cacheman. I said in my mind that this will be my last chance and I was victorious. I was super happy.

Cristian Sergiu

Hello Outertech and thank you very very much!!!

I recently upgraded to 768MB ram and experienced dying computer syndrome.

I remembered an article in PCA about Cacheman, so I downloaded it, chose Multimedia for ME, and restarted my computer.

Thank you again, I now have a very fast computer with lots of ram, especially lots of free ram!!!

Thank you and keep up the good work.

Scott Keatinge

Dear Thomas,

Thanx for Cacheman 3.80; my problems seem to be over!

I've been having problems running Photoshop 5.5 on a P-III 750MHz system with 384MB Ram... After scanning and editing only a couple of 35MB-files, Photoshop was always getting slower and slower as available Ram decreased to 0. I had to close the program and start it up every 15-20 minutes, and I was considering buying a Mac G4. But now I can keep my money in my pocket!

Cacheman 3.80 works wonderfully; I'm using settings for "multimedia use" and available Ram has not been less than 200MB since... Overall performance and speed in Photoshop remain constant, even after hours and hours of work.

In one word, it's great! So keep up the good work!

Best regards,

Jeroen Bouman

Installing your cacheman program is almost like buying a new computer. I use to have problems with my John Madden2001 sometimes pausing during gameplay, but after installing your program the game now runs as smooth as silk.

Thanx a million

Stan Rogers

This PC is a bit of an old warhorse - 32MB RAM, P150, bits of it our almost 10 years old so it's often a struggle to run hardcore modern software.

I am a drum & bass producer so as you can imagine I run an awful lot of audio-editing software that this machine can't really cope with. I had a lot of problems with songs skipping, effects not responding quickly enough etc. Basically it was practically impossible to even listen to an mp3 without it skipping every time I ran another program. I changed a multitude of options, tweaked the registry, ran RAM-boosting software and a whole load of other stuff all of which only made a slight difference. After I set Cacheman to Win98 Power User my problems all but disappeared!

You are a genius!

A postcard from Norwich UK is on it's way to you (hope you like it!)

Andy

Thank you for releasing such a great product for free! I have been installing it religiously on the computers I build for work and what can I say? It's GREAT! Not a single customer complaint of out of memory errors! I also don't run out of resources anymore on my own workhorse machine a PIII450 with 128MB.

Thank you.

Andrew

Hi!

I just thought you might want to know that CODEMASTERS (www.codemasters.com a game making company) recommends its customers to use  your program Cacheman  when they (the customers) have any memory-linked problems with they're very newly released racing game Colin McRae Rally 2.0 .... They seem to like it ALOT!

You might already know this, but if you didn't .... then ... now you know =)

Cheers! / Jonas (from Sweden)

This is really a great little piece of software!!!  Today , all my problems seem so far away, yesterday it seem that they were here to stay. Oh I believe in "Cachemanday" (sic The Beatles). Thank you very much!

Dirk Van de Veire
Belgium

First, let me say that your program, Cacheman, is the finest piece of freeware for the Windows system in the entire free world. I cannot say enough about how it has made my system run better. Across the board, system, user, and GDI, have all been increased dramatically. I run many servers through my DSL line, web, ftp, mail, and even a ShoutCast internet radio station, and it used to be that I was lucky to have 78% of my resources free after all those servers had fired up and users were on them. Now, I have...drum roll please... a whopping 90% across the board of resources available. So now when I fire up NetObjects Fusion (my web design program) or Bright (my image editing program) they fire up and respond with a bit more alacrity than before I installed Cacheman. Thanks for making that very fine utility available as freeware, I'm sure that you have gained a lot of good karma through offering such a fine piece of software for free.

John Erickson

Just wanted to thank you for Cacheman. I thought you might be interested in the following.

PaintShopPro has a disk based undo system with quite a few configuration settings. The one I like to use saves each individual paint operation so I can undo one step at a time. The only problem with this WAS that it was slow, I mean sloooooow, so slow that the system would pause for 2 or 3 seconds until it caught up. It would also leave fragments of the mouse pointer on screen until the window was refreshed. In short, I spent quite a bit of time looking at a messy screen and the hourglass pointer. Since setting the vcache with Cacheman v3.51 (4096, 4096, 512, 4096, 96) the problem has COMPLETELY vanished. I get only an occasional flash of the hourglass pointer now, no pointer fragments and no delays. This is a truly amazing performance boost, almost like a processor upgrade. Also, the overall performance of my system in general is much smoother and more responsive.

Mike Christian

Dear Thomas Reimann,

You've just been nominated to received the "Best  Guy Award"  for 1998. By chance, I purchased a computer magazine that had system optimization software include--namely one of yours. Thanks a whole bunch. Your program which I perhaps have save me hundreds of dollars from having to go to technicians and buying CD's that were lost during a session gone bad. One thing for sure, I no longer received those undesirable "low buffer runs" from my CD program. The first time I installed Cacheman 3.51, my HP8100 CD Writer worked flawless. In addition, when installing software to my system, my CD ROM would just creep as if it was an old guy. I found that pretty strange and all, because I have a 24X CD ROM and from the most part, on average, it runs fast enough to get a  ticket for speeding. Out of the 3 biggest problems I had, your program fix 2. Again, your program is wonder.

...

Again, I would like to say thank you for making this program--its wonderful.Feel free to use part of this message in any type of advertising to let customer know that its not just some other program looking for attention.  And by the way, I will share the good news with other friends and well. If you would like for me to add any comments that you have to my Webster that I'm about to make, feel free to send the comment and as soon as it is posted, I send you the web site address. Thanks Thomas.

Alvin Benjamin, United States Army

Read a CD newsgroup that your CacheMan product was a big help in solving under-run errors in burning... They were right. On my PIII/Win98 system with 256MB, loading your program and setting it for 32MB min and Max did the trick.

Shelle's Internet Design & Consulting

Michelle "Shelle" Feigen

I have just installed cacheman on my system.

For months I have been trying to solve the problem of my 128mb ram being eaten up by a huge cache file. I have read magazine after magazine and installed diagnostics tools of all shapes and sizes to no avail.  I have probably wasted more than 50 hours trying to get to the root of this problem.  I am really impressed that you have explained what the system does in terms of adjusting the system.ini file. If Microsoft had the same sense of trying to help people understand how their system works instead of blinding us with jargon life would be so much easier.  With Cacheman however it's even easier and there's no guesswork involved.
Well Done!

Thank you for solving my biggest computer headache for years.

David Anthony Elmes

Hello Thomas

A few hours ago I installed cacheman on my Windows '95 with update W'98 and..oh surprise...it is the best little tool in that matter, that I've crossed in almost 2 years I'm using my pc...before I sure have tried plenty of other tools, ..more or less efficient..but yours is far out.  A friend of mine told me about it and sent me  the CD rom from a german pc magazine EXTRA Freeware # 4:My set has never been as fast as after the installation of cacheman and there was no problem with the installation....congratulations!

Ray Irrthum

I wish I had found this superb little util 2 years ago. The cd-writer settings have boosted the performance of my P200mmx,32mb ram system to a very noticeable degree.  I had a lot of problems with buffer underrun while burning cd-r`s, cacheman seems to have solved the problem instantly.

Well done.  A postcard is on it`s way from Lanark, Scotland.

All the very best...

F.J.

Cacheman has totally revitalized my PC!

Thanks a million!

Colin "Oscar" Smedley.

Just installed it this weekend. Brilliant, I have a PII266 with 128mb and it was running like a dog with 3 legs in Win98. Free memory was never above about 10mb, but now I have setup Cacheman for a power user I constantly have 50-70mb free - result everything runs much faster and applications zip open.  Thanks very much - keep up the good work.

Steve Heads

Recently I installed Cacheman v3.60.  I'm pleased that the access to my hard drive has diminished markedly.  Every so often my hard drive used to be accessed as if by an anti-virus scan, but that wasn't it.  That's stopped since I installed Cacheman so I believe it must have been swapfile activity I was observing.  Nice to have that annoyance eliminated,especially since my CPU is a desktop sitting right in front of me.

Regards,

Richard Vopelak

I've tried a lot of programs that say they will speed up performance but most of them are just hype. I recently reformatted and my system was running very unstable. I restarted at least 20 times in 3 days. Windows kept using up all my memory and I only had a few programs open. White boxes would come up and say you are running dangerously low on resources and it would give me a choice of programs to close. I would try to close one and windows would lock up.  This also happened when I tried to close out some programs that weren't responding using control alt delete and windows would lock up again. Now that I have Cacheman installed again everything is running great. I had Cacheman installed when I first got my computer and totally forgot about it after a few days.  Thank you for a stable system once again!

Kyle K.

Dear Mr. Thomas,

Downloaded a few days ago,it's been a great pleasure to install your CacheMan on my computer - before installing my RAM was just disappearing and nothing was left after a few working programs was loaded. It really works fine on my computer with any default settings.

Thank you so very much!

Yours sincerely
Thorben Nørgaard

I just downloaded your Cacheman freeware off the internet after seeing it on the Autopsy Report (via http://www.slaughterhouse.com).  This is one great piece of software!  Thank you, thank you, thank you.  My free physical memory went from 80KB to 6100KB using the low memory setting! I'm going to experiment with the other settings.

Thanks again.

Matt Medena

Hi Thomas,
I think we have corresponded before, about some of your other software titles. I will not bore you with praise, you must have plenty!! You write software that is simple and useful, AND does not fill the hard drive with crap you never use a la Microsoft etc.  Please keep me up to date with the stuff you are doing.
Thanx.

Regards,

John May

Thank you for the GREAT program you have written.  No matter how much time you spent writing it, it can't be as much as the time I have spent trying to stop Win95 from swapping all the time.  And I  have 160 MB of RAM!!!VCACHE would regularly  use 150 MB (155 MB once) for cache, while making the OS and programs do to swap.  Now, with the settings I choose in Cacheman, I  no longer use the swap file(except while editing  large .jpgs).I never did understand the logic of VCACHE  thinking that caching the swap file was faster than  just releasing that memory to begin with.  Now  VCACHE doesn't have a choice in the matter.  ;)

Jason Woods

I just want to say how thankful I am for Cacheman! I installed and tried it today and suddenly 9 months of problems with my computer are over. I've had trouble with the memory and I just couldn't figure out what to do to fix it.  But a few days ago your Cacheman was in Softseek's newsletter and I thought I's give it a try. And it worked. Thank God! No, thank YOU!

From a happy Cacheman user,

Frode Kløw.

This is just a really quick message to thank you for creating the wonderful 'cacheman'. I installed it a few days ago and am amazed at the results. I have claimed back about 4 - 10MB of memory, and as I use graphics appz such as photoshop an awful lot, this has dramatically speeded things up and just made life a lot easier.

There you go. Huge pat on the back. Well done!

Cary Charles

First of all, thanks for Cacheman. It improved the speed of my system drastically. I'm usually running Delphi, Word, Outlook Express, Internet Explorer etc at the same time and Cacheman improved response times tremendously. A postcard from Enschede, the Netherlands is on the way.

Arjen Broeze

I am a video producer, using Fast Electronics digital video products. There has always been considerable problem in switching between the editing software and the capture/output software in that system, seemingly because Windows 95/98 cannot manage the swap file mess it leaves behind.  Among video editors, the controversy has gone on for some time about how to fix the problem, dealing with various placements and size of swap files,even turning it off. (then back on for various operations; a real pain!) When going between the two main applications, Premiere and DVManager, the system must be rebooted just to clean out the cache. Failing to do so will almost always result in a system shutdown. When you're busy trying to put maximum creative energy into a video production, I cannot possibly tell you how much of a problem the constant rebooting is!My first use of Cacheman would indicate that it helps, even perhaps solves that problem.  If that is true, that would make whomever wrote this little jewel nothing short of a hero to all of us who edit video on PC's.

Dave Boyers
Plain City, Ohio

I just wanted to tell you that Cacheman 3.5 has made an incredible difference in my systems performance.  I had almost given up using the Internet except in the early morning because it took SO..... long to do anything.  This computer is an older Intel 100 with only 16 MB of memory.  I really thought it was beyond hope!  Although my new computer arrives next week, I do not think I'll junk this one as planned.  Cacheman really made that much difference.

Thank you
Pamela Dick

Thanks for a great program.  At last, a tool that made it easy to get a handle on the elusive MS cache monster.  I've been through a variety of apps to "enhance" performance but none have been as effective and as common sense as Cacheman.  And it doesn't eat resources!!

Bravo!!!

Jeff Frankhouser
Great Falls, Montana

I just tried Cacheman 3.0 and I must say that it made a world of difference on my 233mhz 24mb computer! Now my computer has some pep in its step! I can't believe just a little 400kb download can do so much good! You program was easy to use too! I especially liked the simple way to set the disk cache ( I.E. Poweruser,Quake2 ) simple settings that a novice can even understand! My hard drive is a lot quieter now.

THANK YOU

David Crocker

I had the problem with runaway disk cache usage in w95. I have 256 MB and I'd have 200 eaten up caching junk I would never need again. Then I would swap constantly. I work with huge multi-image collages (100 - 150 MB). I now have much more free ram.

Brian P. Barnes

Thank you for your programs. As I was one of the fools that actually paid for Memturbo believing that it did something "more" than Cacheman. I ran both programs after a cold boot and discovered that Cacheman was actually more effective than the hyped Memturbo.  As I'm under an extremely tight budget, I now regret paying the fee that Memturbo required. I also intend on installing your new ver 3.0 in about a minute - right after I uninstall MemTurbo. I appreciate the quality of your programs and depend upon generous developers like you for many utilities. I use all of your freeware and look forward to what you have coming up next.  Your postcard will be arriving soon.

Thank you again...Merry Christmas from Everett, MA. USA

Sincerely,

Paul Pappathan

Dear Mr. Reimann,

This is a small note to say a BIG THANK YOU for Cacheman v.3.7 which I downloaded last night from the freeware segment of CNet. As reviewed therein, your program boosted my system's performance noticeably. I am a management consultant and consequently I frequently run Excel, PowerPoint and MS Project simultaneously. Also, the internet is my primary (and preferred, if you like) communication link with the outside world. So, as you can well imagine, my rather archaic system (I generally use a Toshiba laptop with measly 48Megs of RAM) is constantly overtaxed. After installing and running Cacheman under the power user setting, I find that my system performance is affording me the opportunity to postpone my projected investment in a second laptop. All thanks to you!!! can be sure of one thing, when I do get my new system, Cacheman is going to be one of the first utilities that I will be installing.

Again, thanks!!!!!
Sincerely,

Mana Guha

Two weeks ago, following Fred langa recommendation,I downloaded Cacheman for my Dell Dimension, PIII, 384MB SDRAM, 22.6 GB HD, running Win98 SE.  Previous to Cacheman my System Resources had been 67% immediately after Restart and 63% after Internet browsing.  Crashes and freezes are things of the past because every 4 weeks I spend 40 minutes with my $19. CD reinstalling Win98 SE, so as to clean files and tweak the system (better than Disk Cleanup).The Cacheman settings are Automatic for Beginners and the readings are 81% , 77% and the Disk Cache are min. 1024, max. 8192. The improvements in Resources have been great and my PC stays always fast.

Efrain Morales

Thomas,
CacheMan immediately proved what a hideous burden Vcache imposes on most Windows machines. Initially, with standard Windows settings ("let Microsoft decide") my 128mb RAM brought no great performance gains over the 64mb installed previously.  After installing CacheMan, and with windows now snapping into place, I tinkered beyond the basic CacheMan settings and got 99mb RAM free. I did not expect this much of an improvement! This will change as my program mix moves over into heavy web graphics, but the benefit is enormous.

Appreciatively,

Brian Graham
Columbia, SC

Thanks a million for the fine cacheman program. I have had a lot of problems with my computer locking up, while working on webpages and jpg images,since I downloaded your program, I have not had that problem again. this is a great program.

Thanks again
Kernel Corn
Clanton, Alabama

.topic 7
First steps

If you launch Cacheman for the first time, you will see the Overview page of the Info section. The lowest and highest values are recorded only while Cacheman is running, so at this time they will not differ much from the current usage. Disk Cache and 16Bit resources information is available on Windows 9x and ME systems only.

You can switch between the 10 different Cacheman pages using the navigation bar located to the right of the Cacheman window. Most pages have Help or Wizard buttons. Use them to learn more about Cacheman's functionality and change settings to fine-tune your system's performance. Most settings require a system reboot for the changes to take effect. Cacheman saves your original system settings on first startup in a Profile named "Initial Settings". You can safely revert back to your original settings by loading this profile.

By default, Cacheman starts automatically with Windows and minimizes itself to the System tray. Double-click the icon in the tray to view the main window. You can disable the automatic launch feature by deselecting Load Cacheman on Windows startup in the Options section, if you do not need Cacheman's monitoring or memory recovery abilities.

.topic 8
Info section

Overview

This page displays several information values such as memory usage etc. The lowest and highest values are recorded only while Cacheman is running, so at this time they will not differ much from the current usage. Disk Cache and 16-bit resources information is available on Windows 9x and ME systems only.

History Graph

The History Graph is useful if you want to watch an information value over a time period (e.g. when working with specific software).

Values available:

Physical Memory - Usage
Physical Memory - Free
Virtual Memory - Usage

Win 9x/Me only:

User Resources - Free
GDI Resources - Free

To start the History Graph enter the desired update Interval and turn on the Enabled checkbox.

Logging

Logging is a function similar the History Graph, but instead of a visual display the values are written out to a log file. To start logging select  the filename, enter the desired log values into the Logline edit field and turn on the Enabled checkbox.

Cacheman will replace the tags with the actual values - example:

Logline: %date%, %time% Used Virtual Memory: %vm_usage% MBytes

will appear as follows in the log file:

15/07/2001, 07:22 AM Used Virtual Memory: 120.9 MBytes

Cacheman offers these tags:

%date%
%time%

Physical Memory:

%mem_avail%
%mem_avail_kb%
%mem_avail_b%
%mem_usage%
%mem_usage_kb%
%mem_usage_b%

Virtual Memory Usage:

%vm_usage%
%vm_usage_kb%
%vm_usage_b%

Win 9x/Me only:

16Bit Resources:

%user_avail%
%gdi_avail%

.topic 9
Settings section

Profiles

For Profiles explanation please click here.

Disk Cache

Disk Cache is a part of RAM that acts as an intermediate buffer when data is read from and written to storage devices.

The Disk Cache driver stores the most recently accessed data in RAM. When a program needs to access new data, the operating system first checks to see if the data is in the cache before reading it from the disk. Because computers can access data from RAM much faster than from a storage device, disk caching can significantly increase performance.

What's the problem with the Windows 9x-ME Disk Cache?

There is no problem with the Disk Cache itself, but Windows 9x-ME can often gobble up 80% of your installed memory for the Cache. It does not hurt if you still have enough free RAM, but should this be not the case - the increased usage of Virtual Memory will decrease system performance by a significant amount. Cacheman will help you set the Disk Cache limits for your system and if necessary gain more free memory.

If you are not an expert user, launch the wizard for automatic settings, otherwise set the Cache limits using the Minimal and Maximal sliders.

How can I test if my system has optimal Disk Cache settings?

A benchmarking program is not suitable for this purpose. A large Disk Cache speeds up most IO operations and the re-loading of applications by a significant amount, but on the other side if no free RAM is left a too large Disk Cache can decrease the general application performance by a huge amount due to increased page file swapping.

The best method to test your settings is to create a worst-case scenario by loading several applications at the same time and work with them. If you encounter major slow downs (e.g. by processing large images in graphic software) try to reduce the Disk Cache to gain more free RAM. Registered Cacheman users can contact support to get performance related help.

Chunk Size

The Disk Cache is a single block of memory which is divided into chunks. The performance changes slightly with the Chunk Size. If it is too small, the data must occupy too many chunks and vice versa. An optimum size must be arrived at so that the Chunk Size is not too large and not too small. The default size of 512 Bytes is best. Most Windows versions ignore this setting anyway, so leave it at default.

What about Windows NT4/2000/XP?

Windows NT4/2000/XP has a much better Disk Cache handling, so the Windows 9x-ME problems should not occur if you have at least 128MB of RAM. You can select one of four predefined Disk Cache presets:

Minimize Memory Used

This setting minimizes the amount of memory used for the Disk Cache in order to maximize the amount of memory available for applications. This is the default setting for Windows NT Workstations and Windows 2000 Professional.

Balance

This setting instructs Windows to give the Disk Cache and applications the same priority.

Maximize Throughput for File Sharing

The Disk Cache gets a higher priority with this preset. It should be the best for file servers and workstations with very high I/O activity.

Maximize Throughput for Network Applications

This setting instructs Windows to give applications higher priority. It should be the best preset for application servers.

Additional Caches

Name & Path Cache

Path Cache specifies the size of the cache that the virtual file allocation table (VFAT) can use to save the locations of the most recently accessed directory paths. Name Cache stores the locations of the most recently accessed file names. This cache improves performance by reducing the number of times the file system must seek paths by searching the file allocation table. The memory is allocated out of general system heap.

Name & Path Cache settings are available only on Windows 9x-ME.

A Wizard is available for novice users.

CDFS Cache

The CDFS Cache is separated from the Disk Cache because the performance characteristics of compact discs are different. This cache can be moved to swap file. When Windows retrieves data from a compact disc, it is still faster to read a record from the CDFS Cache even if it has been swapped out, because the hard drive access time is much faster compared to access time of the CDRom drive.  DVDs primarily use the Universal Disk Format (UDF) for their file systems, this means the Disk Cache is responsible for most DVD-Discs, not the CDFS Cache!

CDFS settings are available only on Windows 9x-ME.

A Wizard is available for novice users.

Icon Cache

Every executable file has an icon associated with it. Every time the shell displays a folder full of files it needs to obtain icons for each of those items. By saving icons that it has already retrieved into a cache, the shell is relieved of the need to constantly retrieve icons from executable files and icon libraries. This can make a vast difference to system performance, especially when accessing network drives.

After changing this setting you need to reboot at least 2 times until it becomes effective, but since it's not a critical setting Cacheman will not ask you on exit to reboot.

Memory Recovery

This feature can recover RAM by swapping out unused parts (e.g. from inactive or crashed software) to hard disk. Instead of periodic recovery tries you can also use this feature on demand by right clicking the Tray Icon and launching the Recover Memory now menu item.

Enabled

When turned on Cacheman will periodically try to recover memory.

Try to recover every xx minutes

This is the time amount between the recovery tries. This value depends greatly on your computer usage but should not be lower than 30 minutes.

If free memory is below

Cacheman will only perform the recovery process if the available memory is below this value. It makes no much sense to recover memory if a significant amount is still available. (The minimal limit value can be overridden in Cacheman.ini - add MaxBelow=xxx to [Recovery] section).

Memory amount

It's important to not choose a too large value here as this would free up data that could be needed within the next minutes. Only a good chosen amount ensures performance enhancements. Novice users should use the automatic setting for best results. Both the automatic setting and maximal user defined values are calculated according to your installed RAM amount. (The maximal manual value can be overridden in Cacheman.ini - add MaxAmount=xxx to [Recovery] section).

Example:

Try to recover every 40 minutes
Memory below value: 20 MBytes
Memory amount value: 10 MBytes

Cacheman will check every 40 minutes if memory is below 20 MBytes.  If so (e.g. 15 MBytes were available) it will try to recover 10 MBytes. On success you should get 25 MBytes free RAM.

Do not recover on high CPU Usage

This setting is highly recommended. Cacheman will not try to recover memory when your CPU is doing some heavy work (e.g. when your are playing a game). If Cacheman detects high CPU Usage it will postpone the recovery by 5 minutes.

Do not recover on high HD Activity (Win9x-ME only)

This setting is similar to the CPU Usage setting, but it measures high hard disk activity instead. Highly recommended if available. If Cacheman detects high HD Activity it will postpone the recovery by 5 minutes.

Recover on Startup

Cacheman will try to recover memory immediately after it has been loaded.

Flash Tray Icon on Recovery

If checked, the Tray Icon will flash when Cacheman is performing a Memory Recovery operation.

Status

Cacheman will output some status information into this box like the amount of successfully recovered memory after a recovery try.

Windows 98-ME Tip

If you have a lot of RAM (at least 384 MBytes) it is recommended to use the Conservative Swap File Usage setting (available in the Miscellaneous section) together with Memory Recovery to reduce constant hard disk activity.

Miscellaneous

Settings available on all Operating Systems

Unload DLLs from memory

Windows automatically unloads DLLs when the usage count is zero, but only after the DLLs have not been used for a period of time. This inactive period might be unacceptably long at times and cause performance slow downs on low memory systems. Enable this option to disable Windows holding the DLLs in memory.

Hung App Timeout

Windows waits by default a long time to finally acknowledge that a particular program is "Not responding", and only after that allowing you to shut it down by clicking the End Task button.

Wait to Kill App Timeout

This value sets the timeout until Windows shuts down/restarts, while trying to exit all open programs.

Show Menu Delay

Decreasing this value makes the Start Menu cascading menus appear more quickly.

Win NT4/2000/XP only settings

IO Page Lock Limit

If your system is very IO intensive you can increase the amount of memory that can be locked for IO operations when data is read from or written to the hard disks. When this value is 0, the system uses the default (512 Kbytes). Raising this value can give you a significant performance boost.

Disable Executive Paging

Parts of system code and device drivers can be swapped out to page file when the system needs more RAM. The system slows down when it needs that code or drivers since it must load them from the page file. Windows stops while the required code is swapped in or out of RAM dependent on very long hard drive access times. If you have more than sufficient RAM, disabling Executive paging should improve performance.

Enable Filename completion

Filename completion is a popular feature of many UNIX shells that saves keystrokes. It is disabled by default in Windows 2000. In a dos console window, if you type the first few letters of a filename and then press the tab key, a matching filename will appear on the command line.

Win 9x-ME only settings

VFAT Contiguous Allocation Size

Fragmentation occurs over time, as programs read from and write to the hard disk. Eventually, files must be stored in noncontiguous sectors on a disk. Fragmentation does not affect the validity of the information, but it takes much longer for the computer to read and write fragmented files. Under MS-DOS, the file system began allocating the first available space found on the disk, which ensured a great deal of disk fragmentation and related performance problems. By default under Windows 9x-ME, the file system first tries to allocate space in the first contiguous 512 KBytes to prevent extreme fragmentation. Increasing this value can result in even less fragmentation and improved performance.

Read-Ahead Threshold

Read-Ahead Threshold is the amount of additional bytes that will be read when a application reads data in sequence. It is meant to improve read performance by anticipating the next read. This works in many cases, unfortunately the performance will decrease if more than one application accesses the hard drive at the same time.

IO Page Buffers

This setting specifies the number of page buffers used to store asynchronous read and write pages when accessing the hard drive. This setting is used only if you are using 32-Bit Disk Access and a permanent swap file. Increasing this value can improve Windows performance.

Win 98-ME only setting

Conservative Swap File Usage

The PageFile Call Async Manager feature in Windows 98-ME allows the Memory Manager to asynchronously write out swap file buffers during VFAT idle times. This results in more free memory, but causes permanent HD activity even if no application is in memory. To disable this HD activity you have to turn Conservative Swap File Usage on. This is recommended if you have at least 384 MBytes of RAM and are using Cacheman's Memory Recovery feature.

.topic 10
Options section

You can configure Cacheman on this page.

Tray Area

Show Tray Icon

If checked Cacheman will display a small icon in the Tray Area, You can access a few important features through a menu which appears on right-clicking the icon.

Display in Tray Icon

Select what symbol should be displayed in the Tray Icon image.

Update interval

Here you can set the intervals at which Cacheman should update the Tray Icon.

Minimize to Tray Icon

If checked Cacheman will not minimize to the Taskbar, but hide to Tray Icon instead.

Hide to Tray Icon on startup

If checked Cacheman will hide to tray immediately after start.

Hide to Tray Icon on window close

Check this option if you want Cacheman to hide itself as an icon to the System tray when the Cacheman window is closed using the close button on the title bar. If this option is unchecked and the window is closed Cacheman quits.

Tip

Double-click the Tray Icon to hide or view Cacheman's window.

Misc

Stay always on top

If checked Cacheman's window will stay on top of other windows.

Show splash screen

If checked Cacheman will show a splash screen while loading.

Remember last GUI position

If checked Cacheman will remember the last active page (e.g. the Disk Cache settings) and show this page immediately on next startup.

Load Cacheman on Windows startup

If checked Cacheman will be automatically loaded at Windows startup.

.topic 11
Tray Icon

Cacheman adds itself as an icon to the System tray by default. You can access a few important features through a menu which appears on right-clicking the icon. Double-click the tray icon to hide or view Cacheman's window. Hover the mouse pointer over the tray icon for a few seconds  to view free RAM and Virtual memory usage as a tooltip.

Cacheman's Tray Icon can be also used for monitoring purposes e.g. It can display the free memory amount. This can be configured in the Options page.

I'm using Windows 95 and Cacheman's Tray Icon has an empty image!?

Please download the ComCtl32 Update from  .

.topic 12
Wizards

Especially for novice users Cacheman offers Wizards to guide the user thru all settings. You can launch a wizard by clicking on the according button or by selecting it from the wizard menu. Most wizards will suggest the best settings for your system!

Example Wizard:

.topic 13
Disabling Cacheman

How can I restore my original (pre-Cacheman) settings?

On first launch Cacheman has saved all your settings into a profile called "Initial Settings" (this profile cannot be deleted within Cacheman). To restore your original settings simply load this profile, save the settings (File Menu) and reboot.

How to disable Cacheman?

Go to the..

History Page (Info section) and uncheck the Enabled checkbox.
Logging Page (Info section) and uncheck the Enabled checkbox.
Memory Recovery Page (Settings section) and uncheck the Enabled Button.
Options section and uncheck the Load Cacheman on Windows startup checkbox.

.topic 14
Frequently Asked Questions

Is Cacheman Freeware or Shareware?
How to get support?
Does Cacheman work on Windows NT4/2000/XP?
What are GDI / User resources?
Can I increase GDI / User resources?
Does Cacheman change the Virtual Memory size?
Does Cacheman have to be running all the time to work?
Does Cacheman add drivers to my system?
Will Cacheman improve every computer?
Is it dangerous to use Cacheman?
How can I restore my original (pre-Cacheman) settings?
I'm using Windows 95 and Cacheman's Tray Icon has an empty image - how to solve it!?

Is Cacheman Freeware or Shareware?

That depends on yourself - please read this section.

How to get support?

Please refer to this section.

Does Cacheman work on Windows NT4/2000/XP?

Yes, most settings are designed for Windows 9x-ME, but Cacheman offers even some NT4/2000/XP only settings.

What are GDI / User resources?

System resources are areas of memory that are used by the input manager (USER) and the graphic display interface manager (GDI) for keeping track of all of the windows that are open in a session and for drawing objects on the screen.

The Graphics Device Interface (GDI) is the graphical system that manages what appears on the screen. It also provides graphics support for printers and other output devices. It draws graphic primitives, manipulates bitmaps, and interacts with device-independent graphics drivers, including those for display and printer output device drivers.

The User component manages input from the keyboard, mouse, and other input devices and output to the user interface (windows, icons, menus, and so on). It also manages interaction with the sound driver, timer, and communications ports. Windows 98/ME uses an asynchronous input model for all input to the system and applications. As the various input devices generate interrupts, the interrupt handler converts these interrupts to messages and sends the messages to a raw input thread area, which in turn passes each message to the appropriate message queue. Although each Win32-based thread can have its own message queue, all Win16-based applications share a common one.

The size of each heap is fixed.

16-bit User heap (64K)
32-bit User window heap (2MB)
32-bit User menu heap (2MB)
16-bit GDI heap (64K)
32-bit GDI heap (2MB)

If any of these segments becomes full, programs may fail to load and Windows 9x/ME may become unstable - regardless of how much other free memory there is.

Can I increase GDI / User resources?

This is not possible. If you have very serious GDI / User resource problems the only way to solve them is to use less applications at the same time or to upgrade to Windows 2000/XP.

Does Cacheman change the Virtual Memory size?

No.

Does Cacheman have to be running all the time to work?

Not always. If you don't use Cacheman's Memory Recovery, History Graph or Logging functions it's enough to launch it only if you want to tweak some settings. A reboot is needed to make most settings effective, Cacheman will ask you to reboot if you quit it.

Does Cacheman add drivers my system?

No.

Will Cacheman improve every computer?

No. Cacheman is not a magic utility. Many Cacheman users have achieved great performance and/or system reaction time improvement, some even reported their system behaves after using Cacheman like after an expensive hardware upgrade. Of course, we have received a few reports where Cacheman was not able to help. We urge you to try it yourself and decide.

You can see in the User comments topic how Cacheman has improved performance on many systems.

Is it dangerous to use Cacheman?

Cacheman works on a huge numbers of computers without any problems. We have received a few user reports who have had problems while using Cacheman with exotic device drivers. (e.g. some noname network adapters). Use Cacheman at your own risk as stated in the license agreement of the installation program! Cacheman saves your original system settings on first startup, you can restore them anytime!

How can I restore my original (pre-Cacheman) settings?

Please refer to this section.

I'm using Windows 95 and Cacheman's Tray Icon has an empty image - how to solve it!?

Please download the ComCtl32 Update from